\section{Sheet 9}
\subsection*{Task 3}
\begin{defn}
  Let $A\sse B$ be two rings. An element $b\in B$ is said to be \emph{integral}(\textit{ganz})\index{integral element!of ring extension} if there is a monic polynomial $p\in A[X]$ such that $p(b)=0$. The set
  \[
  \overline{A} := \{ b\in B\ssp b~\text{integral over }B\}
  \]
  is called the \toidx{integral closure} of $A$ in $B$. If $\overline{A}=A$, then $A$ is \emph{integrally closed} in $B$. (\coms It's import to remember the ring extension at hand!\come)
\end{defn}
\begin{prop}
  Let $A$ be a factorial ring, and consider the ring extension $A\sse \quot(A)$, where $\quot(A)$ is the quotient field of $A$. Then $A$ is integrally closed in $\quot(A)$.
\end{prop}
\begin{proof}
  Assume there is $a/b\in \quot(A)$ and a $p\in A[X]$ such that $p(a/b)=0$, i.e. for $p=X^n+\hdots+\lambda_1X+\lambda_0$ with $\lambda_{n-1},\hdots,\lambda_0\in A$,
  \[
  (a/b)^n+\hdots +\lambda_0 =0 \implies a = -b\cdot(\lambda_{n-1}a^{n-1}+\hdots+\lambda 0b^{n-1})
  \]
  Let $p$ be a primary divisor of $b$. Then, as $b\divd a^n$, $p\divd a^n$ and hence $p\divd a$. So every primary divisor of $b$ divides $a$, and hence $a/b\in A$.

\end{proof}
